Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046454 - [abrt] galternatives: alternative.py:66:__init__:IOError: [Errno 2] Ingen sådan fil eller filkatalog: '/var/lib/alternatives/jre_1.7.0'
Summary: [abrt] galternatives: alternative.py:66:__init__:IOError: [Errno 2] Ingen såd...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: galternatives
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b4539dda51e1864c3141cec3a31...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-25 11:23 UTC by Kjeld Olsen
Modified: 2016-02-01 01:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:46:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (825 bytes, text/plain)
2013-12-25 11:23 UTC, Kjeld Olsen
no flags Details
File: environ (257 bytes, text/plain)
2013-12-25 11:23 UTC, Kjeld Olsen
no flags Details

Description Kjeld Olsen 2013-12-25 11:23:46 UTC
Version-Release number of selected component:
galternatives-0.13.4-14.fc19

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/sbin/galternatives
executable:     /usr/sbin/galternatives
kernel:         3.12.5-200.fc19.x86_64
runlevel:       unknown
type:           Python
uid:            0

Truncated backtrace:
alternative.py:66:__init__:IOError: [Errno 2] Ingen sådan fil eller filkatalog: '/var/lib/alternatives/jre_1.7.0'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/galternatives/main.py", line 263, in remove_option_cb
    self.update_metainfo ()
  File "/usr/lib/python2.7/site-packages/galternatives/main.py", line 466, in update_metainfo
    self.alternative = Alternative (tm.get_value (iter, self.ALTERNATIVES))
  File "/usr/lib/python2.7/site-packages/galternatives/alternative.py", line 66, in __init__
    altfile = open ('/var/lib/alternatives/%s' % (unixname))
IOError: [Errno 2] Ingen sådan fil eller filkatalog: '/var/lib/alternatives/jre_1.7.0'

Local variables in innermost frame:
locale: 'C'
self: <galternatives.alternative.Alternative instance at 0x210bb00>
unixname: 'jre_1.7.0'

Comment 1 Kjeld Olsen 2013-12-25 11:23:51 UTC
Created attachment 841463 [details]
File: backtrace

Comment 2 Kjeld Olsen 2013-12-25 11:23:53 UTC
Created attachment 841464 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2014-07-26 17:09:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2014-08-14 11:36:25 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2015-01-09 20:57:07 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 19:46:21 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.